---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: octobot
spec:
  selector:
    matchLabels:
      container: octobot
  template:
    metadata:
      labels:
        container: octobot
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: TZ
          value: UTC
        image: drakkarsoftware/octobot:2.0.8
        name: octobot
        volumeMounts:
        - mountPath: /octobot/user
          name: longhorn-own-data
          subPath: data/user
        - mountPath: /octobot/tentacles
          name: longhorn-own-data
          subPath: data/tentacles
        - mountPath: /octobot/logs
          name: longhorn-own-data
          subPath: data/logs
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

